#
# spec file for package spotify-easyrpm
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           spotify-easyrpm
Version:        3.0.4
Release:        1.1
Summary:        Tool to download, convert and install the Spotify for Linux package
License:        GPL-3.0-only
Group:          Productivity/Multimedia/Sound/Utilities
URL:            https://github.com/megamaced/spotify-easyrpm
Source:         %{name}-%{version}.tar.gz
Requires:       createrepo_c
Requires:       jq
Requires:       rpm-build
Requires:       squashfs
Requires:       update-desktop-files
BuildArch:      noarch

%description
Spotify-easyrpm is a script which downloads the latest snap package
from the snapcraft.io repository and converts it into an RPM for
installation.

Automated updates are also supported and installed through the system
update manager.

%prep
%setup -q

%build

%install
mkdir -p %{buildroot}%{_bindir}
cp %{name} %{buildroot}%{_bindir}/

%files
%doc README.md
%license LICENSE
%{_bindir}/spotify-easyrpm

%changelog
* Fri Apr 14 2023 david@macemail.co.uk
- Snap package no longer includes share/doc directory. Thanks @LeoniePhiline
* Tue Apr 26 2022 david@macemail.co.uk
- Remove dependency on gconf2
* Tue Oct  5 2021 david@macemail.co.uk
- Rebase the dependencies of the generated spotify-client rpm from the debian package
* Mon Mar  8 2021 david@macemail.co.uk
- Make sure jq is installed
- Make sure a config file exists before querying new options
- When using --set-channel, make sure PREF_PROMPT_CHANNEL is set to no
- unsquashfs -q is not supported in leap version
* Mon Mar  8 2021 david@macemail.co.uk
- Pull Spotify from the snap store instead of the debian repo
- New option --set-channel to choose the Spotify stable or edge version from snap store
- Improved version compare logic
* Thu Nov 26 2020 david@macemail.co.uk
- Support custom %%_topdir macro
* Thu Apr  2 2020 david@macemail.co.uk
- Fix no-gpg-checks error
- Fix for condition of more then 1 Spotify RPM found in rpmbuild/RPMs
* Sat Nov 30 2019 david@macemail.co.uk
- Replace createrepo with createrepo_c
* Sat Aug 24 2019 Jan Engelhardt <jengelh@inai.de>
- Use noun phrase in summary. Wrap descriptions.
* Wed May  1 2019 david@macemail.co.uk
- Remove use of the USER variable to fix edge cases with network
  users or characters that need to be escaped
* Tue Apr 16 2019 david@macemail.co.uk
- Add a daily run in the systemd timer
* Mon Feb 25 2019 david@macemail.co.uk
- Add systemd user timer to resolve unit running before network is up
- Update README with some auto update information
* Sun Feb 24 2019 david@macemail.co.uk
- Dropped noroot mode (home directory install)
- -noprompt mode is now --quiet
- All arguments now require two hyphens
- Systemd user unit now used instead of crontab on new schedules
- Big code refactor
* Mon Nov 26 2018 david@macemail.co.uk
- Clean up ${HOME}/rpmbuild/BUILDROOT in f_cleanup function
* Fri Nov  9 2018 david@macemail.co.uk
- Require libopenssl1_1 for SLE / Leap 15 and above
* Fri Apr  6 2018 david@macemail.co.uk
- Update repo on manual run when schedule already exists
* Sat Mar 31 2018 david@macemail.co.uk
- Move libcurl symlink logic to the spotify rpm itself
* Thu Mar 29 2018 david@macemail.co.uk
- Workaround for spotify-client-1.0.77.338.g758ebd78-0 due to linking against libcurl-gnutls.so.4
- Remove schedule frequency option, now default to @daily. You can change this with crontab -e
* Sat Mar 17 2018 david@macemail.co.uk
- Release v1.1.1
- Fix desktop launcher for noroot install if no ~/bin existed
- Drop support for anything other then latest leap, tumbleweed or sle
- Check that rpmbuild dir and files are owned by $user else chown
- Print dependencies list for noroot installs
* Fri Feb 16 2018 alarrosa@suse.com
- Install README.md and LICENSE
- Various spec file changes: Fix license tag, added rpm group and set
  BuildArch to noarch
- Use spec-cleaner to format the spec file correctly
* Fri Feb 16 2018 david@macemail.co.uk
- Initial release of spotify-easyrpm 1.1.0
